import { postMultipart } from '#/api/http'

import { BasicService } from '../basic'

class ExamScoreService extends BasicService {
  protected findPageUrl(): string {
    return '/exam/examScore/list'
  }

  protected removeUrl(): string {
    return '/exam/examScore/batch/delete'
  }

  protected saveOrUpdateUrl(): string {
    return '/exam/examScore/saveOrUpdate'
  }

  async importScores(files: File[], examBatchId: any) {
    return await postMultipart('/exam/examScore/import/multi', {
      files,
      examBatchId,
    })
  }
}

export const examScoreService = new ExamScoreService()
